Resolvendo "Erro no apt-get update"

Uma grande amiga e excelente profissional de TI, Caroline Souza tem escrito alguns artigos em seu site sobre Linux e casos de uso no dia a dia, ela permitiu que sempre que um artigo seu fosse ao encontro dos objetivos do nosso Portal ele fosse reproduzido aqui.
Segue o artigo:
Essa é mais uma daquelas histórias em que a simples manutenção vira um problemão.
Fui efetuar a configuração de um serviço num firewall (Debian “lenny”) que não mexia a muitos meses e ao executar um apt-get update recebi algumas mensagens de erro:

Reading Package Lists… Error!
E: Problem with MergeList /var/lib/apt/lists/ftp.pt.debian.org_debian_dists_stable_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.”

Depois de muito bater cabeça consegui uma solução seguindo os seguintes passos:

E finalmente problema resolvido e pude prosseguir com meu trabalho! :-)
Mas como sempre aprendemos com os erros, vou listar outros erros e soluções para o apt-get.
Erro:
W: You may want to run apt-get update to correct these missing files
E: Couldn’t find package penguineyes

Solução:
Rodar o apt-get update depois da sua última alteração no arquivo /etc/apt/sources.list
Erro:
E: Could not open lock file /var/lib/dpkg/lock – open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Solução:
Você não tem permissão root, ou seja, está acessando como usuário normal.
Erro:
E: Dynamic MMap ran out of room
Solução:
Adicione a linha seguinte ao /etc/apt/apt.conf:
APT::Cache-Limit 10000000;
Fonte:
https://help.ubuntu.com/community/PackageManagerTroubleshootingProcedure
http://www.debian.org/doc/manuals/apt-howto/ch-erros.pt-br.html
Abraços. :-D

    Comments

    1. Opa,
      Há algum tempo atrás tive o mesmo problema, mas resolvi de forma diferente. Apenas rodei o comando “sudo rm /var/lib/apt/lists/* -vf” e em seguida consegui executar o apt-get update.
      Tem mais detalhes em http://ricardomartins.com.br/2011/09/10/como-corrigir-o-erro-%E2%80%9Cproblem-with-mergelist-varlibaptlists%E2%80%9D-no-ubuntu-11-04/
      Abraço à todos,
      Ricardo.

    Deixe uma resposta

    O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *

    © 2019 All Rights Reserved. Cooperati.